## haskell-monad-par 0.1.0.3

=== examples/Makefile ===
include common.mk

BENCHMARKS= queens.hs mandel.hs blackscholes.hs nbody.hs parfib.hs primes.hs \
            cholesky.hs parfib.hs coins.hs

# binomial_lattice.hs
EXES= $(BENCHMARKS:.hs=.exe)

OTHEREXES= matmult/matmult.exe minimax/minimax.exe sumeuler/sumeuler.exe \
           stream/simple1_measureSrc.exe

ALLEXES= $(EXES) $(OTHEREXES)

all: $(EXES)
	(cd sumeuler; $(MAKE))
	(cd matmult;  $(MAKE))
	(cd minimax;  $(MAKE))
	(cd stream;   $(MAKE))
	(cd partree;  $(MAKE))

%.exe : %.hs $(ALLPARSRC)
	$(GHC) -O2 --make -i.. $< -o $@ -threaded -rtsopts

runtests: 
	./run_tests.sh $(ALLEXES) 

clean:
	rm -f $(ALLEXES) *.o *.hi 
	(cd sumeuler; $(MAKE) clean)
	(cd matmult;  $(MAKE) clean)
	(cd minimax;  $(MAKE) clean)
	(cd stream;   $(MAKE) clean)
	(cd partree;  $(MAKE) clean)

=== examples/matmult/Makefile ===
include ../common.mk

matmult.exe : $(wildcard *.hs) ../../Control/Monad/Par.hs
	$(GHC) -O2 -cpp --make -i../.. MatMult.hs -o $@ -threaded -rtsopts

=== examples/minimax/Makefile ===
include ../common.mk

minimax.exe : $(wildcard *.hs) ../../Control/Monad/Par.hs
	$(GHC) -O2 -cpp --make -i../.. Main.hs -o $@ -threaded -rtsopts

=== examples/partree/Makefile ===
include ../common.mk

partree.exe : $(wildcard *.hs) ../../Control/Monad/Par.hs
	$(GHC) -O2 -cpp --make -i../.. partree.hs -o $@ -threaded -rtsopts

=== examples/stream/Makefile ===
include ../common.mk

SRC= simple1_measureSrc.hs \
     disjoint_working_sets_pipeline.hs \
     fft_pipeline.hs
EXES= $(SRC:.hs=.exe)

NOTHREAD= $(SRC:.hs=.nothread.exe)

# Par source code with relative paths updated for this deeper directory:
RELPARSRC= $(subst ../,../../,$(ALLPARSRC))

all: $(EXES)

%.exe : %.hs $(RELPARSRC)
	$(GHC) -O2 --make -i../../ $< -o $@ -threaded -rtsopts


#------------------------------------------------------------
# Build the non-threaded versions.

nothread: $(NOTHREAD)

%.nothread.exe: %.hs $(RELPARSRC)
	$(GHC) -O2 --make -i../../ $< -o $@ -rtsopts

#------------------------------------------------------------
runtests: 
	../run_tests.sh $(EXES) 

clean:
	rm -f $(EXES) *.o *.hi

=== examples/sumeuler/Makefile ===
include ../common.mk

sumeuler.exe : $(wildcard *.hs) ../../Control/Monad/Par.hs
	$(GHC) -O2 -cpp --make -i../.. SumEuler.hs -o $@ -threaded -rtsopts

clean:
	rm -f *.exe *.hi *.o

## haskell-monad-par 0.1.0.1

=== debian/changelog ===
haskell-monad-par (0.1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Iulian Udrea <iulian@linux.com>  Thu, 01 Sep 2011 17:52:30 +0100

=== debian/control ===
Source: haskell-monad-par
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iulian Udrea <iulian@linux.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7),
               cdbs, 
               haskell-devscripts (>= 0.8), 
               ghc, 
               ghc-prof,
               libghc-deepseq-dev (>= 1.1),
               libghc-deepseq-dev (<< 1.2),
               libghc-deepseq-prof,
               libghc-hunit-dev (>= 1.2),
               libghc-hunit-prof
Build-Depends-Indep: ghc-doc, libghc-deepseq-doc, libghc-hunit-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/monad-par
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-monad-par
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-monad-par

Package: libghc-monad-par-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: parallel programming based on a monad
 This library offers an alternative parallel programming API to that 
 provided by the parallel package. The Par monad allows the simple 
 description of parallel computations, and can be used to add 
 parallelism to pure Haskell code. The basic API is straightforward: 
 the monad supports forking and simple communication in terms of IVars. 
 .
 The library comes with an efficient work-stealing implementation, but
 the internals are also exposed so that you can build your own scheduler 
 if necessary.
 .
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.

Package: libghc-monad-par-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: parallel programming based on a monad; profiling data
 This library offers an alternative parallel programming API to that 
 provided by the parallel package. The Par monad allows the simple 
 description of parallel computations, and can be used to add 
 parallelism to pure Haskell code. The basic API is straightforward: 
 the monad supports forking and simple communication in terms of IVars. 
 .
 The library comes with an efficient work-stealing implementation, but
 the internals are also exposed so that you can build your own scheduler 
 if necessary.
 .
 This package provides a library for the Haskell programming language, compiled
 for profiling.  See http://www.haskell.org/ for more information on Haskell.

Package: libghc-monad-par-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: parallel programming based on a monad; documentation
 This library offers an alternative parallel programming API to that 
 provided by the parallel package. The Par monad allows the simple 
 description of parallel computations, and can be used to add 
 parallelism to pure Haskell code. The basic API is straightforward: 
 the monad supports forking and simple communication in terms of IVars. 
 .
 The library comes with an efficient work-stealing implementation, but
 the internals are also exposed so that you can build your own scheduler 
 if necessary.
 .
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.

## haskell-monad-par 0.1.0.3

=== debian/changelog ===
haskell-monad-par (0.1.0.3-4build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 10:18:34 +0100

haskell-monad-par (0.1.0.3-4) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:26 +0200

haskell-monad-par (0.1.0.3-3) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:34 +0200

haskell-monad-par (0.1.0.3-2) unstable; urgency=low

  * Sourceful upload to rebuild documentation package

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Feb 2012 17:32:12 +0100

haskell-monad-par (0.1.0.3-1) unstable; urgency=low

  * New upstream release.
  * Bump deepseq dependency.

 -- Iulian Udrea <iulian@physics.org>  Sat, 28 Jan 2012 16:56:29 +0000

=== debian/control ===
Source: haskell-monad-par
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iulian Udrea <iulian@physics.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9),
               cdbs, 
               haskell-devscripts (>= 0.8.15), 
               ghc, 
               ghc-prof,
               libghc-hunit-dev (>= 1.2),
               libghc-hunit-prof
Build-Depends-Indep: ghc-doc, libghc-deepseq-doc, libghc-hunit-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/monad-par
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-monad-par
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-monad-par

Package: libghc-monad-par-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: parallel programming based on a monad${haskell:ShortBlurb}
 This library offers an alternative parallel programming API to that 
 provided by the parallel package. The Par monad allows the simple 
 description of parallel computations, and can be used to add 
 parallelism to pure Haskell code. The basic API is straightforward: 
 the monad supports forking and simple communication in terms of IVars. 
 .
 The library comes with an efficient work-stealing implementation, but
 the internals are also exposed so that you can build your own scheduler 
 if necessary.
 .
 ${haskell:Blurb}

Package: libghc-monad-par-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: parallel programming based on a monad${haskell:ShortBlurb}
 This library offers an alternative parallel programming API to that 
 provided by the parallel package. The Par monad allows the simple 
 description of parallel computations, and can be used to add 
 parallelism to pure Haskell code. The basic API is straightforward: 
 the monad supports forking and simple communication in terms of IVars. 
 .
 The library comes with an efficient work-stealing implementation, but
 the internals are also exposed so that you can build your own scheduler 
 if necessary.
 .
 ${haskell:Blurb}

Package: libghc-monad-par-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: parallel programming based on a monad${haskell:ShortBlurb}
 This library offers an alternative parallel programming API to that 
 provided by the parallel package. The Par monad allows the simple 
 description of parallel computations, and can be used to add 
 parallelism to pure Haskell code. The basic API is straightforward: 
 the monad supports forking and simple communication in terms of IVars. 
 .
 The library comes with an efficient work-stealing implementation, but
 the internals are also exposed so that you can build your own scheduler 
 if necessary.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|monad-par-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/monad-par \
    ([\d\.]*\d)/

## haskell-monad-par 0.3.4.6

=== debian/changelog ===
haskell-monad-par (0.3.4.6-1) unstable; urgency=low

  * Adjust watch file to new hackage layout
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 28 Aug 2014 19:33:05 -0700

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,38 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Iulian Udrea <iulian@physics.org>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9),
-               cdbs, 
-               haskell-devscripts (>= 0.8.15), 
-               ghc, 
-               ghc-prof,
-               libghc-hunit-dev (>= 1.2),
-               libghc-hunit-prof
-Build-Depends-Indep: ghc-doc, libghc-deepseq-doc, libghc-hunit-doc
+Build-Depends:
+ debhelper (>= 9),
+ cdbs,
+ haskell-devscripts (>= 0.8.15),
+ ghc,
+ ghc-prof,
+ libghc-abstract-par-dev,
+ libghc-abstract-par-prof,
+ libghc-abstract-deque-dev (>= 0.1.4),
+ libghc-abstract-deque-prof,
+ libghc-monad-par-extras-dev (>= 0.3),
+ libghc-monad-par-extras-prof,
+ libghc-mwc-random-dev (>= 0.11),
+ libghc-mwc-random-prof,
+ libghc-parallel-dev (>= 3.1),
+ libghc-parallel-prof,
+ libghc-mtl-dev (>= 2.0.1.0),
+ libghc-mtl-prof,
+# test suite dependencies
+ libghc-quickcheck2-dev,
+ libghc-hunit-dev,
+ libghc-test-framework-hunit-dev,
+ libghc-test-framework-quickcheck2-dev,
+ libghc-test-framework-dev,
+ libghc-test-framework-th-dev,
+Build-Depends-Indep: ghc-doc,
+ libghc-abstract-par-doc,
+ libghc-abstract-deque-doc,
+ libghc-monad-par-extras-doc,
+ libghc-mwc-random-doc,
+ libghc-parallel-doc,
+ libghc-mtl-doc,
 Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/monad-par
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-monad-par

## haskell-monad-par 0.3.4.7

=== tests/Makefile ===

# NOTE!! THIS IS REDUNDANT WITH THE CABAL TEST-SUITE IN monad-par.cabal
#
# This is simply an alternative way to run the tests.


# These are HUnit/QuickCheck tests, factored out of their respective files:
SRC = ParTests.hs AListTest.hs AsyncTests.hs TestHelpers.hs Makefile
TESTS= AllTests.hs
EXES= $(TESTS:.hs=.exe)

all: $(EXES) test

.SUFFIXES: .hs .exe

.hs.exe: $< $(SRC)
	ghc -i.. --make $< -o $@ -rtsopts -threaded

deps:
	cabal install QuickCheck HUnit test-framework test-framework-hunit test-framework-quickcheck2 test-framework-th

test:
	@echo
	@echo "Running tests:"
	@echo "=================================="
	./AllTests.exe +RTS -N2
#	"for t in $(EXES); do $t; done"
# 	./ParTests.exe
# 	./AListTest.exe

clean:
	rm -f *.hi *.exe *.o

=== debian/changelog ===
haskell-monad-par (0.3.4.7-7build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 Jan 2016 12:10:49 +0000

haskell-monad-par (0.3.4.7-7) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:47 -0500

haskell-monad-par (0.3.4.7-6) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:12 +0200

haskell-monad-par (0.3.4.7-5) unstable; urgency=medium

  * Do not depend on test suite dependencies on mips, mipsel, sparc

 -- Joachim Breitner <nomeata@debian.org>  Mon, 15 Jun 2015 10:15:53 +0200

haskell-monad-par (0.3.4.7-4) unstable; urgency=medium

  * Run testsuite only if we have a threaded runtime

 -- Joachim Breitner <nomeata@debian.org>  Sat, 06 Jun 2015 21:45:34 +0200

haskell-monad-par (0.3.4.7-3) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:50 +0200

haskell-monad-par (0.3.4.7-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:51:42 +0200

haskell-monad-par (0.3.4.7-1) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 20:11:30 +0100

=== debian/control ===
Source: haskell-monad-par
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iulian Udrea <iulian@physics.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-abstract-deque-dev (>= 0.1.4),
 libghc-abstract-deque-prof,
 libghc-abstract-par-dev,
 libghc-abstract-par-prof,
 libghc-monad-par-extras-dev (>= 0.3),
 libghc-monad-par-extras-prof,
 libghc-mtl-dev (>= 2.0.1.0),
 libghc-mtl-prof,
 libghc-mwc-random-dev (>= 0.11),
 libghc-mwc-random-prof,
 libghc-parallel-dev (>= 3.1),
 libghc-parallel-prof,
 libghc-hunit-dev,
 libghc-quickcheck2-dev [!mips !mipsel !sparc],
 libghc-monad-par-extras-dev [!mips !mipsel !sparc],
 libghc-test-framework-dev [!mips !mipsel !sparc],
 libghc-test-framework-hunit-dev [!mips !mipsel !sparc],
 libghc-test-framework-quickcheck2-dev (>= 0.3) [!mips !mipsel !sparc],
 libghc-test-framework-th-dev [!mips !mipsel !sparc],
Build-Depends-Indep: ghc-doc,
 libghc-abstract-deque-doc,
 libghc-abstract-par-doc,
 libghc-monad-par-extras-doc,
 libghc-mtl-doc,
 libghc-mwc-random-doc,
 libghc-parallel-doc,
Standards-Version: 3.9.6
Homepage: https://github.com/simonmar/monad-par
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: libghc-monad-par-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: parallel programming based on a monad${haskell:ShortBlurb}
 This library offers an alternative parallel programming API to that
 provided by the parallel package. The Par monad allows the simple
 description of parallel computations, and can be used to add
 parallelism to pure Haskell code. The basic API is straightforward:
 the monad supports forking and simple communication in terms of IVars.
 .
 The library comes with an efficient work-stealing implementation, but
 the internals are also exposed so that you can build your own scheduler
 if necessary.
 .
 ${haskell:Blurb}

Package: libghc-monad-par-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: parallel programming based on a monad${haskell:ShortBlurb}
 This library offers an alternative parallel programming API to that
 provided by the parallel package. The Par monad allows the simple
 description of parallel computations, and can be used to add
 parallelism to pure Haskell code. The basic API is straightforward:
 the monad supports forking and simple communication in terms of IVars.
 .
 The library comes with an efficient work-stealing implementation, but
 the internals are also exposed so that you can build your own scheduler
 if necessary.
 .
 ${haskell:Blurb}

Package: libghc-monad-par-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: parallel programming based on a monad${haskell:ShortBlurb}
 This library offers an alternative parallel programming API to that
 provided by the parallel package. The Par monad allows the simple
 description of parallel computations, and can be used to add
 parallelism to pure Haskell code. The basic API is straightforward:
 the monad supports forking and simple communication in terms of IVars.
 .
 The library comes with an efficient work-stealing implementation, but
 the internals are also exposed so that you can build your own scheduler
 if necessary.
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/monad-par/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-monad-par 0.3.4.8

=== debian/changelog ===
haskell-monad-par (0.3.4.8-7) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add missing "Upstream-Name" field into "debian/copyright".

  [ Clint Adams ]
  * Patch testsuite to work with newer GHC.

 -- Clint Adams <clint@debian.org>  Sat, 31 Aug 2019 14:05:20 -0400

haskell-monad-par (0.3.4.8-6) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:33:31 +0300

haskell-monad-par (0.3.4.8-5) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:15:16 +0300

haskell-monad-par (0.3.4.8-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:57 -0400

haskell-monad-par (0.3.4.8-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:35:00 -0400

haskell-monad-par (0.3.4.8-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 20:10:23 -0400

haskell-monad-par (0.3.4.8-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Tue, 12 Jul 2016 17:02:02 -0400

=== debian/control ===
--- 
+++ 
@@ -1,52 +1,57 @@
 Source: haskell-monad-par
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders: Iulian Udrea <iulian@physics.org>
-Priority: extra
+Uploaders:
+ Iulian Udrea <iulian@physics.org>,
+Priority: optional
 Section: haskell
-Build-Depends: debhelper (>= 9),
- haskell-devscripts (>= 0.10),
+Rules-Requires-Root: no
+Build-Depends:
  cdbs,
- ghc,
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
+ haskell-devscripts (>= 0.13),
  libghc-abstract-deque-dev (>= 0.1.4),
  libghc-abstract-deque-prof,
  libghc-abstract-par-dev,
  libghc-abstract-par-prof,
+ libghc-hunit-dev,
  libghc-monad-par-extras-dev (>= 0.3),
+ libghc-monad-par-extras-dev [!mips !mipsel !sparc],
  libghc-monad-par-extras-prof,
- libghc-mtl-dev (>= 2.0.1.0),
- libghc-mtl-prof,
  libghc-mwc-random-dev (>= 0.11),
  libghc-mwc-random-prof,
  libghc-parallel-dev (>= 3.1),
  libghc-parallel-prof,
- libghc-hunit-dev,
  libghc-quickcheck2-dev [!mips !mipsel !sparc],
- libghc-monad-par-extras-dev [!mips !mipsel !sparc],
  libghc-test-framework-dev [!mips !mipsel !sparc],
  libghc-test-framework-hunit-dev [!mips !mipsel !sparc],
  libghc-test-framework-quickcheck2-dev (>= 0.3) [!mips !mipsel !sparc],
  libghc-test-framework-th-dev [!mips !mipsel !sparc],
-Build-Depends-Indep: ghc-doc,
+Build-Depends-Indep:
+ ghc-doc,
  libghc-abstract-deque-doc,
  libghc-abstract-par-doc,
  libghc-monad-par-extras-doc,
- libghc-mtl-doc,
  libghc-mwc-random-doc,
  libghc-parallel-doc,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: https://github.com/simonmar/monad-par
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-monad-par
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-monad-par]
 
 Package: libghc-monad-par-dev
 Architecture: any
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: parallel programming based on a monad${haskell:ShortBlurb}
  This library offers an alternative parallel programming API to that
  provided by the parallel package. The Par monad allows the simple
@@ -62,11 +67,15 @@
 
 Package: libghc-monad-par-prof
 Architecture: any
-Depends: ${haskell:Depends},
+Depends:
+ ${haskell:Depends},
  ${misc:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
-Provides: ${haskell:Provides},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
+Provides:
+ ${haskell:Provides},
 Description: parallel programming based on a monad${haskell:ShortBlurb}
  This library offers an alternative parallel programming API to that
  provided by the parallel package. The Par monad allows the simple
@@ -83,10 +92,13 @@
 Package: libghc-monad-par-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
+Depends:
  ${haskell:Depends},
-Recommends: ${haskell:Recommends},
-Suggests: ${haskell:Suggests},
+ ${misc:Depends},
+Recommends:
+ ${haskell:Recommends},
+Suggests:
+ ${haskell:Suggests},
 Description: parallel programming based on a monad${haskell:ShortBlurb}
  This library offers an alternative parallel programming API to that
  provided by the parallel package. The Par monad allows the simple

=== debian/watch ===
version=3
https://hackage.haskell.org/package/monad-par/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-monad-par 0.3.5

=== debian/changelog ===
haskell-monad-par (0.3.5-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Disable testsuite which depends on broken haskell-test-framework-th

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 09 Aug 2022 10:30:28 +0300

haskell-monad-par (0.3.5-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 31 May 2020 15:13:22 -0400

=== debian/control ===
--- 
+++ 
@@ -17,17 +17,11 @@
  libghc-abstract-par-prof,
  libghc-hunit-dev,
  libghc-monad-par-extras-dev (>= 0.3),
- libghc-monad-par-extras-dev [!mips !mipsel !sparc],
  libghc-monad-par-extras-prof,
  libghc-mwc-random-dev (>= 0.11),
  libghc-mwc-random-prof,
  libghc-parallel-dev (>= 3.1),
  libghc-parallel-prof,
- libghc-quickcheck2-dev [!mips !mipsel !sparc],
- libghc-test-framework-dev [!mips !mipsel !sparc],
- libghc-test-framework-hunit-dev [!mips !mipsel !sparc],
- libghc-test-framework-quickcheck2-dev (>= 0.3) [!mips !mipsel !sparc],
- libghc-test-framework-th-dev [!mips !mipsel !sparc],
 Build-Depends-Indep:
  ghc-doc,
  libghc-abstract-deque-doc,
@@ -35,7 +29,7 @@
  libghc-monad-par-extras-doc,
  libghc-mwc-random-doc,
  libghc-parallel-doc,
-Standards-Version: 4.1.4
+Standards-Version: 4.6.1
 Homepage: https://github.com/simonmar/monad-par
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-monad-par
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-monad-par]

=== debian/rules ===
#!/usr/bin/make -f

DEB_ENABLE_TESTS = no # Depends on test-framework-th

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

## haskell-monad-par 0.3.6

=== debian/changelog ===
haskell-monad-par (0.3.6-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 21 Sep 2024 12:49:02 +0300

haskell-monad-par (0.3.6-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 21 Oct 2023 10:34:32 -0400

haskell-monad-par (0.3.5-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 13 Sep 2023 13:39:14 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libghc-abstract-deque-dev (>= 0.1.4),
@@ -29,7 +29,7 @@
  libghc-monad-par-extras-doc,
  libghc-mwc-random-doc,
  libghc-parallel-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/simonmar/monad-par
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-monad-par
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-monad-par]
